Find the answer to your Linux question:
Results 1 to 2 of 2
Hi, After the last kernel update I have problems isntalling any applcation with apt-get, as I get the following error message: Code: Paramétrage de linux-image-2.6.27.29-4-grsec (1.0) ... Running depmod. Finding ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Oct 2007
    Posts
    15

    huge problem with apt-get and grsecurity


    Hi,

    After the last kernel update I have problems isntalling any applcation with apt-get, as I get the following error message:

    Code:
    Paramétrage de linux-image-2.6.27.29-4-grsec (1.0) ...
    Running depmod.
    Finding valid ramdisk creators.
    Using mkinitramfs-kpkg to build the ramdisk.
    initrd.img(/boot/initrd.img-2.6.27.29-4-grsec
    ) points to /boot/initrd.img-2.6.27.29-4-grsec
     (/boot/initrd.img-2.6.27.29-4-grsec) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.27.29-4-grsec.postinst line 583.
    vmlinuz(/boot/vmlinuz-2.6.27.29-4-grsec
    ) points to /boot/vmlinuz-2.6.27.29-4-grsec
     (/boot/vmlinuz-2.6.27.29-4-grsec) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.27.29-4-grsec.postinst line 583.
    Running postinst hook script update-grub.
    Searching for GRUB installation directory ... found: /boot/grub
    Searching for default file ... found: /boot/grub/default
    Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
    Searching for splash image ... none found, skipping ...
    Found kernel: /boot/vmlinuz-2.6.28-15-generic
    Found kernel: /boot/vmlinuz-2.6.28-14-generic
    Found kernel: /boot/vmlinuz-2.6.28-13-generic
    Found kernel: /boot/vmlinuz-2.6.28-11-generic
    Found kernel: /boot/vmlinuz-2.6.27.29-4-grsec
    Found kernel: /boot/memtest86+.bin
    Updating /boot/grub/menu.lst ... done
    
    Examining /etc/kernel/postinst.d.
    run-parts: executing /etc/kernel/postinst.d/dkms
    run-parts: executing /etc/kernel/postinst.d/nvidia-common
    run-parts: /etc/kernel/postinst.d/nvidia-common exited with return code 20
    Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.27.29-4-grsec.postinst line 1181.
    dpkg*: erreur de traitement de linux-image-2.6.27.29-4-grsec (--configure)*:
     le sous-processus post-installation script a retourné une erreur de sortie d'état 2
    dpkg*: des problèmes de dépendances empêchent la configuration de linux-image-grsec*:
     linux-image-grsec dépend de linux-image-2.6.27.29-4-grsec*; cependant*:
     Le paquet linux-image-2.6.27.29-4-grsec n'est pas encore configuré.
    dpkg*: erreur de traitement de linux-image-grsec (--configure)*:
     problèmes de dépendances - laissé non configuré
    No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                              Des erreurs ont été rencontrées pendant l'exécution*:
     linux-image-2.6.27.29-4-grsec
     linux-image-grsec
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Do you guys have any clue on how to solve this problem ??

  2. #2
    Linux Newbie
    Join Date
    Jan 2008
    Location
    Canada
    Posts
    109

    Hi chevalier3as

    Quote Originally Posted by chevalier3as View Post
    Hi,

    After the last kernel update I have problems isntalling any applcation with apt-get, as I get the following error message:

    Code:
    Paramétrage de linux-image-2.6.27.29-4-grsec (1.0) ...
    Running depmod.
    Finding valid ramdisk creators.
    Using mkinitramfs-kpkg to build the ramdisk.
    initrd.img(/boot/initrd.img-2.6.27.29-4-grsec
    ) points to /boot/initrd.img-2.6.27.29-4-grsec
     (/boot/initrd.img-2.6.27.29-4-grsec) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.27.29-4-grsec.postinst line 583.
    vmlinuz(/boot/vmlinuz-2.6.27.29-4-grsec
    ) points to /boot/vmlinuz-2.6.27.29-4-grsec
     (/boot/vmlinuz-2.6.27.29-4-grsec) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.27.29-4-grsec.postinst line 583.
    Running postinst hook script update-grub.
    Searching for GRUB installation directory ... found: /boot/grub
    Searching for default file ... found: /boot/grub/default
    Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
    Searching for splash image ... none found, skipping ...
    Found kernel: /boot/vmlinuz-2.6.28-15-generic
    Found kernel: /boot/vmlinuz-2.6.28-14-generic
    Found kernel: /boot/vmlinuz-2.6.28-13-generic
    Found kernel: /boot/vmlinuz-2.6.28-11-generic
    Found kernel: /boot/vmlinuz-2.6.27.29-4-grsec
    Found kernel: /boot/memtest86+.bin
    Updating /boot/grub/menu.lst ... done
    
    Examining /etc/kernel/postinst.d.
    run-parts: executing /etc/kernel/postinst.d/dkms
    run-parts: executing /etc/kernel/postinst.d/nvidia-common
    run-parts: /etc/kernel/postinst.d/nvidia-common exited with return code 20
    Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.27.29-4-grsec.postinst line 1181.
    dpkg*: erreur de traitement de linux-image-2.6.27.29-4-grsec (--configure)*:
     le sous-processus post-installation script a retourné une erreur de sortie d'état 2
    dpkg*: des problèmes de dépendances empêchent la configuration de linux-image-grsec*:
     linux-image-grsec dépend de linux-image-2.6.27.29-4-grsec*; cependant*:
     Le paquet linux-image-2.6.27.29-4-grsec n'est pas encore configuré.
    dpkg*: erreur de traitement de linux-image-grsec (--configure)*:
     problèmes de dépendances - laissé non configuré
    No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                              Des erreurs ont été rencontrées pendant l'exécution*:
     linux-image-2.6.27.29-4-grsec
     linux-image-grsec
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Do you guys have any clue on how to solve this problem ??
    I will point you to a URL that seems to be addressing your specific problem. Hope it helps...
    Robert
    /usr/bin/dpkg Returned An Error Code (1) | A life to learn

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •